## wf-config 0.7.1

=== meson_options.txt ===
option('tests', type: 'feature', value: 'auto', description: 'Enable unit tests')

=== debian/changelog ===
wf-config (0.7.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Dec 2022 15:30:37 -0500

wf-config (0.7.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Thu, 12 May 2022 16:35:11 -0400

wf-config (0.7.1-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 May 2022 00:13:04 -0400

=== debian/control ===
Source: wf-config
Section: libdevel
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doctest-dev <!nocheck>,
 libevdev-dev,
 libglm-dev,
 libxml2-dev,
 meson,
 pkg-config,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/WayfireWM/wf-config
Vcs-Git: https://salsa.debian.org/debian/wf-config.git
Vcs-Browser: https://salsa.debian.org/debian/wf-config

Package: libwf-config-dev
Architecture: any
Multi-Arch: same
Depends:
 libwf-config1 (= ${binary:Version}),
 ${misc:Depends},
Description: Wayfire-specific library for managing config files (dev)
 Wf-config is a library for managing configuration files, written for
 wayfire 3D wayland compositor.
 .
 This package provides development files.

Package: libwf-config1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Wayfire-specific library for managing config files
 Wf-config is a library for managing configuration files, written for
 wayfire 3D wayland compositor.
 .
 This package provides shared library files.

## wf-config 0.8.0

=== debian/changelog ===
wf-config (0.8.0-2) unstable; urgency=medium

  * debian/patches/af1bddc9d7191b9902edcb4c74572eac65577806.patch:
    Add patch to fix compatibility with GCC 14.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jan 2024 09:45:36 -0500

wf-config (0.8.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Oct 2023 15:17:37 -0400

wf-config (0.8.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Oct 2023 16:26:56 -0400

wf-config (0.7.1-4) unstable; urgency=medium

  * debian/control: Add missing -dev to -dev package dependency
    for libwf-config-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 29 Sep 2023 09:56:06 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libxml2-dev,
  meson,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/WayfireWM/wf-config
 Vcs-Git: https://salsa.debian.org/debian/wf-config.git
@@ -21,7 +21,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libevdev-dev,
+ libglm-dev,
  libwf-config1 (= ${binary:Version}),
+ libxml2-dev,
  ${misc:Depends},
 Description: Wayfire-specific library for managing config files (dev)
  Wf-config is a library for managing configuration files, written for

## wf-config 0.8.0+git20240312

=== debian/changelog ===
wf-config (0.8.0+git20240312-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1076393)

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 13:56:58 -0400

wf-config (0.8.0+git20240312-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 21 Mar 2024 19:04:11 -0400

## wf-config 0.9.0

=== debian/changelog ===
wf-config (0.9.0-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Oct 2024 18:16:14 -0400

wf-config (0.9.0-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 11:07:30 -0400

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/WayfireWM/wf-config/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## wf-config 0.10.0

=== meson_options.txt ===
option('tests', type: 'feature', value: 'auto', description: 'Enable unit tests')
option('locale_test', type : 'boolean', value : false, description: 'Test number to string conversions with de_DE locale (must be installed)')

=== debian/changelog ===
wf-config (0.10.0-1) unstable; urgency=medium

  * QA upload

  [ Daniel Kondor ]
  * New upstream release

  [ Jeremy Bícha ]
  * Add minimal debian/gbp.conf
  * Remove debian/watch and use uscan's Archive: GitHub instead

 -- Daniel Kondor <kondor.dani@gmail.com>  Sat, 15 Nov 2025 17:19:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wf-config
 Section: libdevel
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -10,8 +10,8 @@
  libglm-dev,
  libxml2-dev,
  meson,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/WayfireWM/wf-config
 Vcs-Git: https://salsa.debian.org/debian/wf-config.git
